<?php
//
// BBWA
// index_i.php
// アルバム・フォームなどを表示する (携帯電話用)
// Teppei KAKU <teppei@sat.co.jp>
//
?>


<html>
<head>
<title>BBWA</title>
</head>
<body>


<?php
include("variables.php");
$fileArray = array();

// タグ除去・リンク張りを行う
function messageParse($message) {
  $message = stripslashes($message);
  $message = ereg_replace(
    "(http|https|ftp|mailto):[a-zA-Z0-9/%&=_:+~@\-\?\.]*",
    "<a href=\"\\0\">\\0</a>", $message);
  $message = ereg_replace("{{BR}}", "<br>", $message);
  $message = ereg_replace("{{LT}}", "&lt;", $message);
  $message = ereg_replace("{{GT}}", "&gt;", $message);

  return $message;
}

// インデックスの読み込み
$tempArray = array();
$filePtr = fopen("${dirName}INDEX", "r");
while ($pizza = fgets($filePtr, 1024)) {
  $piece = explode("|||", $pizza);
  $tempArray[$piece[0]] = $piece[1];
}
arsort($tempArray);
$fileArray = array_keys($tempArray);
fclose($filePtr);

// ページ数を計算
$pages = (int) ((count($fileArray) - 1) / 20 + 1);
if (isset($_GET['page'])) {
  $current = $_GET['page'];
} else {
  $current = 1;
}
$imgStart = ($current - 1) * 20;
$imgEnd = min(($imgStart + 20), count($fileArray));

// SJIS で出力
mb_http_output("SJIS");
ob_start(mb_output_handler);

if(!isset($_GET['img'])) {
  // ページ上部のアイコンを表示
  print("一覧表示<br>\n");
  if ($current > 1) {
    print("<a href=\"index_i.php?page=1\">先頭</a> ");
    print("<a href=\"index_i.php?page=" . ($current - 1) . "\">前</a> ");
  }
  print("${current}/${pages} ");
  if ($current < $pages) {
    print("<a href=\"index_i.php?page=" . ($current + 1) . "\">次</a>");
  }
  print("<br><hr>\n");

  // 一覧表示
  if (count($fileArray) > 0) {
    print("<ul>");
    for ($i = $imgStart; $i < $imgEnd; $i++) {

      $filePtr = fopen("${dirName}Messages/${fileArray[$i]}_mes.txt", "r");
      $pizza = fgets($filePtr, 1024);
      $pizza = htmlspecialchars($pizza);
      $piece = explode("|||", $pizza);
      fclose($filePtr);

      if (mb_strlen($piece[2]) > 8) {
        $piece[2] = mb_substr($piece[2], 0, 7) . "…";
      }
      if (mb_strlen($piece[3]) > 10) {
        $piece[3] = mb_substr($piece[3], 0, 7) . "…";
      }

      print("<li><a href=\"index_i.php?img=${fileArray[$i]}&page=${current}\">");
      print("${piece[2]}</a> ${piece[3]}\n");
    }
    print("</ul>");
  } else {
    print("NO IMAGE!");
  }
} else {
  $num = array_search($_GET['img'], $fileArray);

  // ページ上部のアイコンを表示
  print("画像表示 \n");
  print("<a href=\"index_i.php?page=1\">");
  print("[一覧]</a><br>");
  if ($num > 0) {
    print("<a href=\"index_i.php?img=${fileArray[0]}\">");
    print("先頭</a> ");
    print("<a href=\"index_i.php?img=" . $fileArray[$num - 1] . "\">");
    print("前</a> ");
  }
  print(($num + 1) . "/" . count($fileArray) . " ");
  if (($num + 1) < count($fileArray)) {
    print("<a href=\"index_i.php?img=" . $fileArray[$num + 1] . "\">");
    print("次</a>");
  }
  print("<br><hr>\n");

  // 画像の詳細情報を表示
  $mesText = file("${dirName}Messages/${_GET['img']}_mes.txt");
  $mesElem = explode("|||", $mesText[0]);

  print("<center>");
  if (eregi("\.gif$", $_GET['img'])) {
    print("<img src=\"${picUrl}${_GET['img']}\" " .
      "width=\"${mesElem[0]}\" height=\"${mesElem[1]}\">\n");
  } else {
    print("<img src=\"${picUrl}Thumbnails/${_GET['img']}_thumb.jpg\" " .
      "width=\"${mesElem[0]}\" height=\"${mesElem[1]}\">\n");
  }
  print("</center>");

  $mesElem[2] = htmlspecialchars($mesElem[2]);
  print("<br>題名:${mesElem[2]}<br>");
  print("名前:");
  if ($mesElem[4] != "NOMAIL") {
    $mesElem[4] = htmlspecialchars($mesElem[4]);
    print("<a href=\"mailto:${mesElem[4]}\">");
  }
  $mesElem[3] = htmlspecialchars($mesElem[3]);
  print("${mesElem[3]}");
  if ($mesElem[4] != "NOMAIL") {
    print("</a>");
  }
  $mesElem[5] = substr($mesElem[5], 5, -3);
  print("<br>日時:${mesElem[5]}<br>\n");
  print("説明:<br>\n");
  if (!ereg("^NOCOM(\r\n|\r|\n)$", $mesElem[7])) {
    $mesElem[7] = messageParse($mesElem[7]);
    print("${mesElem[7]}\n");
  }

  // コメントを表示
  print("<hr>コメント:<br>");
  if (count($mesText) > 1) {
    for ($i = 1; $i < count($mesText); $i++) {
      $repElem = explode("|||", $mesText[$i]);
      $repElem[0] = htmlspecialchars($repElem[0]);
      $repElem[1] = messageParse($repElem[1]);
      print("<font color=\"#808000\">[${repElem[0]}]</font>${repElem[1]}<br>\n");
    }
  }

  echo <<<EOD
<form action="./comment_i.php" method="GET">
<input type="hidden" name="repImg" value="${_GET['img']}">
<hr>名前<br><input type="text" name="repName" size="15"><br>
コメント<br><textarea name="repCom" rows="3" cols="15"></textarea><br>
<input type="submit" value="送信"><input type="reset" value="リセット">
</form>
EOD;

}
?>


<hr>
<center>
BBWA-0.0.6
</center>
</body>
</html>
